#include <iostream>
#include "shot.h"
#include "cylinder.h"
#include "par.h"
#include "experiment.h"

using namespace std;

int
main(int argc, char *argv[])
{
    // global instances set from .ini files
    Shot shot("ini/shot.ini");
    Cylinder cylinder("ini/cylinder.ini");
    Par par("ini/par.ini");// gravity, step

    Experiment experiment(shot, cylinder, par);

    experiment.fullRun();
//    system("PAUSE");
    return EXIT_SUCCESS;
}
