#ifndef _EXPERIMENT_H_
#define _EXPERIMENT_H_

#include "shot.h"
#include "chamber.h"
#include "par.h"

using namespace std;

class Experiment
{
    Shot& shot_;
    Chamber& chamber_;

    double gravity_;
    double tstep_;

    int ncolmax_, collisions_;
public:
    Experiment(Shot&, Chamber&, const Par&);
    ~Experiment();

    void makeStep(double time);
    void fullRun();
};

#endif
