#ifndef _PAR_H_
#define _PAR_H_

using namespace std;

class Par
{
    double gravity_;
    double tstep_;
    int ncolmax_;
public :
    Par(const char* filename);
    ~Par();

    double gravity() const;
    double tStep() const;
    int ncolmax() const;
};

inline double Par::gravity() const {return gravity_;}
inline double Par::tStep() const {return tstep_;}
inline int Par::ncolmax() const {return ncolmax_;}

#endif
